ubuntu/+source/hplip:ubuntu/natty-devel

Last commit made on 2011-03-25
Get this branch:
git clone -b ubuntu/natty-devel https://git.launchpad.net/ubuntu/+source/hplip
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/natty-devel
Repository:
lp:ubuntu/+source/hplip

Recent commits

69502d5... by Till Kamppeter on 2011-03-25

Import patches-unapplied version 3.11.1-2ubuntu2 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: e9bcbe8f1b81df58b6cece8df6d730f40f100274

New changelog entries:
  * debian/patches/workaround-sf-server-bug-for-plugin-index-download.dpatch:
    In order to download the proprietary plug-in (firmware files, driver
    add-ons), the "hp-plugin" utility downloads an index file from SourceForge.
    Due to software changes at SourceForge which introduced a bug, Python's
    urllib is not able any more to download this file, making the plug-in
    download via "hp-plugin" impossible. HP has quickly released HPLIP 3.11.3a
    which works around the problem by using the command line utility "wget".
    This patch is a backport of the workaround (LP: #740140).
  * debian/control: Let hplip depend on wget. wget is needed for the plugin
    download now.

e9bcbe8... by Till Kamppeter on 2010-03-10

Import patches-unapplied version 3.11.1-2ubuntu1 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: a7b78c031b5b546781eba112dbc0c7647d2e1aff

New changelog entries:
  * debian/rules: Modified PPD generator for hpcups so that the PostScript
    code for the "PageSize" option also sets the PCL paper size
    ("/cupsInteger0 XX") and not only PageRegion (Closes: #518227,
    LP: #405116, Red Hat bug #518756).
  * debian/control, debian/rules, debian/local/pyppd: Use external pyppd
    package for the compression of the PostScript PPDs.

a7b78c0... by Mark Purcell on 2011-02-20

Import patches-unapplied version 3.11.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b6d00bab346f2e1a3320eebe8d7babdd690a66ee

New changelog entries:
  * Upload to unstable
    - Fixes "[hplip] New upstream version" (Closes: #613295)
  * Drop obsolete 00patch-opts "patch: invalid option -- 'U'" (Closes: #612646)
  * kdeprint no longer Depends: (Closes: #608947)
  * "ppd" included in description" (Closes: #608836)
  * Fixes "sane" lowercase in extended description" (Closes: #591919)

b6d00ba... by Mark Purcell on 2011-01-26

Import patches-unapplied version 3.11.1-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 5e9d55841222a9ab62dcc981c797855eb3385827

New changelog entries:
  * New Upstream Release
    - Fixes "CVE-2010-4267: Buffer overflow" (Closes: #610960)
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via long SNMP response
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via long SNMP response
    - debian/patches/CVE-2010-4267.dpatch: validate dLen in io/hpmud/pml.c.
    - CVE-2010-4267
  * New upstream release
     o New encapsulation format for LJZJStream class
     o Alignment of cartridges over LEDM (auto, semi-automatic and manual)
     o LEDM dynamic scan resolution
     o New fax protocol (Low End Data Model, LEDM) support
     o ADF scan support for HP LaserJet Pro M1212nf, M1213nf, and M1217nfw MFP
       devices
     o Color scan support for HP LaserJet Pro M1132, M1136, M1212nf, M1213nf,
       and M1217nfw MFP devices
     o Added support for: HP LaserJet Pro CP1020, M1213nf MFP, CM1410,
       LaserJet M1536dnf MFP, M1537dnf MFP, M1538dnf MFP, M1539dnf MFP.
       Color LaserJet CM4540 MFP, CP5520, Photosmart Ink Adv K510,
       Deskjet Ink Adv 2010 K010, 2060 K110, Officejet 6500 E710a-f
  * debian/patches/scan-on-dj-1050-2050.dpatch: Removed, fixed upstream.
  * debian/patches/85_rebuild_python_ui.dpatch,
    debian/patches/87_move_documentation.dpatch: Regenerated.
  * debian/control: Removed stand-alone print dialog applications from the
    Suggests: of the hplip package. These applications are obsolete, as
    modern desktop applications already have a CUPS-based printing dialog.
    Added system-config-printer instead (Closes: #608947).

5e9d558... by Mark Purcell on 2010-12-23

Import patches-unapplied version 3.10.9-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 68161c89e252ddc69de66b3ff3a4cb1033048a68

New changelog entries:
  * New Upstream Release
  * debian/patches/scan-on-dj-1050-2050.dpatch: Corrected model properties
    to make scanning on DeskJet 1050 and 2050 actually working (LP: #652963)
  * debian/rules: Do not ship *.pyc files with the package.
  * debian/control: Remove hard-coded python-version dependencies (LP: #688002)
  * debian/control: Modify Depends: and XS-Python-Versions: to build with,
    and depend on python 2.7 (LP: #688002).
  * Rebuild for python2.7 as the default python version.
  * debian/patches/add_missing_newline_for_error_log.dpatch: Added a missing
    newline at the end of the "PAGE:" message for the CUPS error_log.
  * New upstream release
     o New protocol LEDM support for scanning (Low End Data Model).
     o Added support for: HP Designjet 4500ps, 4500mfp, T1100ps 24/44in,
       T1120ps 24/44in, T770ps 24in, Deskjet 1000 J110, 2000 J210, 3000
       J310, 3050 J610, Envy 100 D410, Officejet 6500 E710n-z, 7500 E910,
       pro 8500 A910, Photosmart eStn C510, Plus B210, Prem C310, Prem
       C410.
  * debian/patches/85_rebuild_python_ui.dpatch: Regenerated.

68161c8... by Evgeni Golov on 2010-10-20

Import patches-unapplied version 3.10.6-1.1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2c76bd179115337c081edc8930e2e166f48fb181

New changelog entries:
  * Non-maintainer upload.
  * Try libhpmud.so.0 when libhpmud.so is not found.
    Closes: #600670

2c76bd1... by Mark Purcell on 2010-07-24

Import patches-unapplied version 3.10.6-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 27cfc03eeffe0a72e3b66f90ccec74ce20f84343

New changelog entries:
  * New Upstream Release
  * NEW package libsane-hplip - headless scanner libs
  * udev/rules.d/40-hplip.rules -> libhpmud0 - headless printing
  * fixup debian/shlibs -> shlibs.libhpmud0
  * New upstream release
     o New protocol LEDM support for device status over Network and USB.
     o Do not use cups-config in hp-check (real fix for LP: #530327).
     o Added support for: HP Photosmart All-in-one Printer - b010,
       Photosmart Wireless All-in-one Printer - b110, Deskjet 1050 j410
       All-in-one Printer, LaserJet Professional m1136 Multifunction
       Printer, Deskjet 2050 j510 All-in-one Printer, Officejet 4500
       All-in-one Printer - k710, Officejet 4500 g510n-z All-in-one Printer
  * debian/patches/hpcheck-cupsconfig-warn.dpatch: Removed, fixed upstream.
  [ Till Kamppeter ]
  * debian/patches/black-stripes-on-pcl5c-printouts.dpatch: The PCL 5c
    driver (Color LaserJet) printed blank raster lines in black (LP: #561264).
  [ Mark Purcell ]
  * Split libsane-hplip - headless scanner libs

27cfc03... by Mark Purcell on 2010-07-03

Import patches-unapplied version 3.10.5-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0ea4792db8fa198d9f1ca4f58ec811c314310685

New changelog entries:
  * Force Depends: python (>> 2.6), python (<< 2.7) (Closes: #587737)
    - Urgency high for RC bug
  * Ack python transition NMUs - Thanks Bernd
  * debian/control: Added alternative scanning frontends to the Recommends:
    of hplip-gui, to avoid installing a scanning frontend if there is already
    one and also to avoid installing GTK in KDE/Qt-only systems.
  * debian/control: Added python-notify to the Recommends: of hplip-gui.
  * debian/control: Drop python-notify to suggests, it's pulling half of
    the desktop into server images.
  * debian/copyright: Updated.
  * debian/control: Removed hpijs from Recommends: of hplip, as we already
    require hplip-cups via Depends:, hpijs is not needed any more for using
    HPLIP with all supported HP printers.

0ea4792... by Bernd Zeimetz on 2010-06-22

Import patches-unapplied version 3.10.5-3.2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 12a5d699fdc80ba13d42c6199839cf056ab81a20

New changelog entries:
  * Non-maintainer upload.
  * Remove unnecessary module path option for dh_pysupport.
  * Call dh_installdeb after dh_pysupport. This really
    closes: #585627

12a5d69... by Bernd Zeimetz on 2010-06-20

Import patches-unapplied version 3.10.5-3.1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 4c5eea3bb14cddfe273fb19ceaedc21199d625a4

New changelog entries:
  * Non-maintainer upload.
  * Remove the need of Python as pre-dependency of hplip.
  * Call dh_pysupport for arch:any packages (Closes: #585627)
  * Use /usr/share/python/python.mk:
    Instead of hard-coding PYTHONPATH, use the proper path depending on the
    default Python version.